## org.hibernate.engine.jdbc.spi
Interface ExtractedDatabaseMetaData

    public interface ExtractedDatabaseMetaData

Information extracted from `DatabaseMetaData` regarding what the JDBC driver reports as being supported or not. Obviously `DatabaseMetaData` reports many things, these are a few in which we have particular interest.

Nested Class Summary
`static class` `ExtractedDatabaseMetaData.SQLStateType`

Method Summary
`boolean` `doesDataDefinitionCauseTransactionCommit()` Did the driver report to DDL statements performed within a transaction performing an implicit commit of the transaction.
`boolean` `doesLobLocatorUpdateCopy()` Did the driver report that updates to a LOB locator affect a copy of the LOB?
`String` `getConnectionCatalogName()` Retrieve the name of the catalog in effect when we connected to the database.
`String` `getConnectionSchemaName()` Retrieve the name of the schema in effect when we connected to the database.
`Set<String>` `getExtraKeywords()` Get the list of extra keywords (beyond standard SQL92 keywords) reported by the driver.
`ExtractedDatabaseMetaData.SQLStateType` `getSqlStateType()` Retrieve the type of codes the driver says it uses for `SQLState`.
`LinkedHashSet<TypeInfo>` `getTypeInfoSet()` Set of type info reported by the driver.
`boolean` `supportsBatchUpdates()` Did the driver report to supporting batched updates?
`boolean` `supportsDataDefinitionInTransaction()` Did the driver report to support performing DDL within transactions?
`boolean` `supportsGetGeneratedKeys()` Did the driver report to supporting retrieval of generated keys?
`boolean` `supportsScrollableResults()` Did the driver report to supporting scrollable result sets?

Method Detail

### supportsScrollableResults

    boolean supportsScrollableResults()

  Did the driver report to supporting scrollable result sets?

  Returns:
    True if the driver reported to support `ResultSet.TYPE_SCROLL_INSENSITIVE`.
  See Also:
    `DatabaseMetaData.supportsResultSetType(int)`

### supportsGetGeneratedKeys

    boolean supportsGetGeneratedKeys()

  Did the driver report to supporting retrieval of generated keys?

  Returns:
    True if the if the driver reported to support calls to `Statement.getGeneratedKeys()`
  See Also:
    `DatabaseMetaData.supportsGetGeneratedKeys()`

### supportsBatchUpdates

    boolean supportsBatchUpdates()

  Did the driver report to supporting batched updates?

  Returns:
    True if the driver supports batched updates
  See Also:
    `DatabaseMetaData.supportsBatchUpdates()`

### supportsDataDefinitionInTransaction

    boolean supportsDataDefinitionInTransaction()

  Did the driver report to support performing DDL within transactions?

  Returns:
    True if the drivers supports DDL statements within transactions.
  See Also:
    `DatabaseMetaData.dataDefinitionIgnoredInTransactions()`

### doesDataDefinitionCauseTransactionCommit

    boolean doesDataDefinitionCauseTransactionCommit()

  Did the driver report to DDL statements performed within a transaction performing an implicit commit of the transaction.

  Returns:
    True if the driver/database performs an implicit commit of transaction when DDL statement is performed
  See Also:
    `DatabaseMetaData.dataDefinitionCausesTransactionCommit()`

### getExtraKeywords

    Set<String> getExtraKeywords()

  Get the list of extra keywords (beyond standard SQL92 keywords) reported by the driver.

  Returns:
    The extra keywords used by this database.
  See Also:
    `DatabaseMetaData.getSQLKeywords()`

### getSqlStateType

    ExtractedDatabaseMetaData.SQLStateType getSqlStateType()

  Retrieve the type of codes the driver says it uses for `SQLState`. They might follow either the X/Open standard or the SQL92 standard.

  Returns:
    The SQLState strategy reportedly used by this driver/database.
  See Also:
    `DatabaseMetaData.getSQLStateType()`

### doesLobLocatorUpdateCopy

    boolean doesLobLocatorUpdateCopy()

  Did the driver report that updates to a LOB locator affect a copy of the LOB?

  Returns:
    True if updates to the state of a LOB locator update only a copy.
  See Also:
    `DatabaseMetaData.locatorsUpdateCopy()`

### getConnectionSchemaName

    String getConnectionSchemaName()

  Retrieve the name of the schema in effect when we connected to the database.

  Returns:
    The schema name

### getConnectionCatalogName

    String getConnectionCatalogName()

  Retrieve the name of the catalog in effect when we connected to the database.

  Returns:
    The catalog name

### getTypeInfoSet

    LinkedHashSet<TypeInfo> getTypeInfoSet()

  Set of type info reported by the driver.

  Returns:
    The type information obtained from the driver.
  See Also:
    `DatabaseMetaData.getTypeInfo()`

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.